summaryrefslogtreecommitdiff
path: root/build_and_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_and_test.sh')
-rw-r--r--build_and_test.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/build_and_test.sh b/build_and_test.sh
index b2002c9..2bb9783 100644
--- a/build_and_test.sh
+++ b/build_and_test.sh
@@ -11,22 +11,22 @@ UNAME=$(command -v uname)
echo "UNAME: ${UNAME}"
-#if command -v cl.exe >/dev/null 2>&1; then
-# echo "C compiler found - MSVC"
+if command -v cl.exe >/dev/null 2>&1; then
+ echo "C compiler found - MSVC"
COMPILE=cl.exe
COMPILEPP=cl.exe
OBJ_POSTFIX=.obj
EXE_POSTFIX=.exe
-#elif command -v gcc >/dev/null 2>&1; then
-# echo "C compiler found - GCC"
-#elif command -v clang >/dev/null 2>&1; then
-# echo "C compiler found - Clang"
-# COMPILE=clang
-# COMPILEPP=clang
-#else
-# echo "C compiler not found"
-# exit 1
-#fi
+elif command -v gcc >/dev/null 2>&1; then
+ echo "C compiler found - GCC"
+elif command -v clang >/dev/null 2>&1; then
+ echo "C compiler found - Clang"
+ COMPILE=clang
+ COMPILEPP=clang
+else
+ echo "C compiler not found"
+ exit 1
+fi
echo ""